summaryrefslogtreecommitdiff
path: root/sys-fs
diff options
context:
space:
mode:
authorMatthias Schwarzott <zzam@gentoo.org>2007-02-10 23:27:57 +0000
committerMatthias Schwarzott <zzam@gentoo.org>2007-02-10 23:27:57 +0000
commitba90bd61d766d4ee917a3867b793a4f30a653695 (patch)
treedd5d51e548b335428540461a18146e00e36fd55c /sys-fs
parentfixed SRC_URI, solving bug #163309. (diff)
downloadgentoo-2-ba90bd61d766d4ee917a3867b793a4f30a653695.tar.gz
gentoo-2-ba90bd61d766d4ee917a3867b793a4f30a653695.tar.bz2
gentoo-2-ba90bd61d766d4ee917a3867b793a4f30a653695.zip
Corrected both grep-expressions, to not get commented blacklist entries, and to get log output correct.
(Portage version: 2.1.2-r9)
Diffstat (limited to 'sys-fs')
-rw-r--r--sys-fs/udev/ChangeLog6
-rwxr-xr-xsys-fs/udev/files/modprobe.sh6
2 files changed, 8 insertions, 4 deletions
diff --git a/sys-fs/udev/ChangeLog b/sys-fs/udev/ChangeLog
index e579da696072..802fba48cf54 100644
--- a/sys-fs/udev/ChangeLog
+++ b/sys-fs/udev/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for sys-fs/udev
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.250 2007/02/10 22:28:14 zzam Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.251 2007/02/10 23:27:57 zzam Exp $
+
+ 10 Feb 2007; Matthias Schwarzott <zzam@gentoo.org> files/modprobe.sh:
+ Corrected both grep-expressions, to not get commented blacklist entries, and
+ to get log output correct.
*udev-104-r10 (10 Feb 2007)
diff --git a/sys-fs/udev/files/modprobe.sh b/sys-fs/udev/files/modprobe.sh
index 9a2d9ce8a5d2..278dc3450a07 100755
--- a/sys-fs/udev/files/modprobe.sh
+++ b/sys-fs/udev/files/modprobe.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-VERBOSE=no
+: ${VERBOSE:=no}
[[ -e /dev/.udev_populate ]] && VERBOSE=yes
source /sbin/functions.sh </dev/console
@@ -15,7 +15,7 @@ done
# check for blacklisting
if [[ -f /etc/modprobe.conf ]]; then
- if grep -q 'blacklist.*[[:space:]]'"${LAST}"'\([[:space:]]\|$\)' /etc/modprobe.conf; then
+ if grep -q '^blacklist.*[[:space:]]'"${LAST}"'\([[:space:]]\|$\)' /etc/modprobe.conf; then
# module blacklisted
exit 0
fi
@@ -23,7 +23,7 @@ fi
if [[ ${VERBOSE} != no ]]; then
# print line if not already loaded
- if ! fgrep -w -q ${LAST} /proc/modules; then
+ if ! grep -q "^${LAST}[[:space:]]" /proc/modules; then
einfo " udev loading module ${LAST}" > /dev/console
fi
fi